package org.firstinspires.ftc.teamcode.cometbots.projects;

import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.BezierLine;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.PathBuilder;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.Point;

public class GeneratedPath {
    public GeneratedPath() {
        PathBuilder builder = new PathBuilder();

        builder
                .addPath(
                        // Line 1
                        new BezierLine(
                                new Point(9.757, 84.983, Point.CARTESIAN),
                                new Point(28.573, 76.302, Point.CARTESIAN)
                        )
                )
                .setTangentHeadingInterpolation()
                .addPath(
                        // Line 2
                        new BezierLine(
                                new Point(28.573, 76.302, Point.CARTESIAN),
                                new Point(36.203, 76.140, Point.CARTESIAN)
                        )
                )
                .setTangentHeadingInterpolation()
                .addPath(
                        // Line 3
                        new BezierLine(
                                new Point(36.203, 76.140, Point.CARTESIAN),
                                new Point(35.067, 35.716, Point.CARTESIAN)
                        )
                )
                .setTangentHeadingInterpolation()
                .addPath(
                        // Line 4
                        new BezierLine(
                                new Point(35.067, 35.716, Point.CARTESIAN),
                                new Point(73.705, 34.742, Point.CARTESIAN)
                        )
                )
                .setTangentHeadingInterpolation()
                .addPath(
                        // Line 5
                        new BezierLine(
                                new Point(73.705, 34.742, Point.CARTESIAN),
                                new Point(73.705, 24.839, Point.CARTESIAN)
                        )
                )
                .setTangentHeadingInterpolation()
                .addPath(
                        // Line 6
                        new BezierLine(
                                new Point(73.705, 24.839, Point.CARTESIAN),
                                new Point(7.630, 26.462, Point.CARTESIAN)
                        )
                )
                .setTangentHeadingInterpolation()
                .addPath(
                        // Line 7
                        new BezierLine(
                                new Point(7.630, 26.462, Point.CARTESIAN),
                                new Point(64.126, 22.728, Point.CARTESIAN)
                        )
                )
                .setTangentHeadingInterpolation()
                .addPath(
                        // Line 8
                        new BezierLine(
                                new Point(64.126, 22.728, Point.CARTESIAN),
                                new Point(63.964, 13.150, Point.CARTESIAN)
                        )
                )
                .setTangentHeadingInterpolation()
                .addPath(
                        // Line 9
                        new BezierLine(
                                new Point(63.964, 13.150, Point.CARTESIAN),
                                new Point(12.338, 15.260, Point.CARTESIAN)
                        )
                )
                .setTangentHeadingInterpolation()
                .addPath(
                        // Line 10
                        new BezierLine(
                                new Point(12.338, 15.260, Point.CARTESIAN),
                                new Point(63.802, 13.150, Point.CARTESIAN)
                        )
                )
                .setTangentHeadingInterpolation()
                .addPath(
                        // Line 11
                        new BezierLine(
                                new Point(63.802, 13.150, Point.CARTESIAN),
                                new Point(63.639, 11.689, Point.CARTESIAN)
                        )
                )
                .setTangentHeadingInterpolation()
                .addPath(
                        // Line 12
                        new BezierLine(
                                new Point(63.639, 11.689, Point.CARTESIAN),
                                new Point(12.014, 11.689, Point.CARTESIAN)
                        )
                )
                .setTangentHeadingInterpolation();
    }
}
